Unit BinIntf;

interface

uses Types, XSBuiltIns;

type
  ISoapBinary = interface(IInvokable)
    ['{123BFEBA-41D5-4812-BAC3-60C5B52B9E8D}']
    procedure RegisterMe(const MyUserName: WideString);  stdcall;
    procedure UnRegisterMe(const MyUserName: WideString);  stdcall;
    procedure RegisterMyAvatar(const MyUserName: WideString; const Data: TByteDynArray);  stdcall;
    procedure SendMessage(const MyMessage: WideString; const FromUser: WideString; const ToUser: WideString);  stdcall;
    function IsUserOnline(const UserName: WideString): Boolean;  stdcall;
    function ReceiveMessage(const ForUser: WideString; const FromUser: WideString): WideString;  stdcall;
    function ReceiveAvatar(const ForUser: WideString): TByteDynArray;  stdcall;
  end;


implementation

uses InvokeRegistry;

initialization
  InvRegistry.RegisterInterface(TypeInfo(ISoapBinary), 'urn:BinIntf-ISoapBinary', '');

end.
