unit BinIntf;

interface

uses
  Types, XSBuiltIns;

type
  ISoapBinary = interface(IInvokable)
    procedure RegisterMe(const MyUserName: String);  stdcall;
    procedure UnRegisterMe(const MyUserName: String);  stdcall;
    procedure RegisterMyAvatar(const MyUserName: String; const Data: TByteDynArray);  stdcall;
    procedure SendMessage(const MyMessage: String; const FromUser: String; const ToUser: String);  stdcall;
    function IsUserOnline(const UserName: String): Boolean;  stdcall;
    function ReceiveMessage(const ForUser: String; const FromUser: String): String;  stdcall;
    function ReceiveAvatar(const ForUser: String): TByteDynArray;  stdcall;
  end;

implementation

uses
  InvokeRegistry;

initialization
  InvRegistry.RegisterInterface(TypeInfo(ISoapBinary), '', '');


end.
