unit uMain;

interface

uses
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Types, SyncObjs,
  ExtCtrls;

type
  TUser = record
            Name: String;
            Avatar: TByteDynArray;
            ListOfPendingMessages: TStringList;
            ListOfUsers: TStringList;
          end;
  TDynUser = array of TUser;
  TMainServerForm = class(TForm)
    Image1: TImage;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainServerForm: TMainServerForm;
  Users: TDynUser;
  CS: TCriticalSection;

implementation

uses ComApp;

{$R *.DFM}

const
  CLASS_ComWebApp: TGUID = '{3CFE4D52-7699-42AD-B1C8-C805E02A9F92}';

initialization
  SetLength(Users, 0);
  CS := TCriticalSection.Create;
  TWebAppAutoObjectFactory.Create(Class_ComWebApp,
    'BinaryServer', 'BinaryServer Object');

end.
